//+------------------------------------------------------------------+
//|                                                      AceRead.mq5 |
//|                        Copyright 2016, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2016, SteelAce Software Corp."
#property link      ""
#property version   "1.00"

string SymbolName;

#include <IncGUI_v3.mqh>

enum eColorScheme{
   DefaultScheme=0,
   YellowBrownScheme=1,
   BlueScheme=2,
   GreenScheme=3,
   YellowBlackScheme=4,
   LimeBlackScheme=5,
   AquaBlackScheme=6
};

input eColorScheme ColorScheme=DefaultScheme;


class MyCForm: public CFormBase{
   public:
      // 1. Declaring the controls
       CComBox   m_cb;
       CInputBox m_ib1;
       CInputBox m_ib2;
       CInputBox m_ib3;
       CInputBox m_ib4;
       CInputBox m_ib5;
       CInputBox m_ib6;
       CCheckBox m_chb1;
       CCheckBox m_chb2;
       CCheckBox m_chb3;
       CCheckBox m_chb4;
       CButton   m_but1;
       CButton   m_but2;
   protected: 
      // 2. Declaring the variables to restore the control values   
      int   m_EventsCounter;
      void MainProperties(){
            // Setting the form parameters
            m_Name         =  "Form";        // Form name. The names of all the controls should start with it.
            m_Width        =  150;           // Form width
            m_Height       =  260;           // Form height
            m_Type         =  0;             // Form type: 0 - without buttons, 1 - with "Apply" and "Cancel" buttons, 2 - with the "Close" button
            m_Caption      =  "AceBank"; // Form caption
            m_Movable      =  true;          // Movable form (the button with a hand image is displayed in the top left corner)
            m_Resizable    =  true;          // Form minimizing/maximizing allowed (the button with a rectangle image is displayed in the top right corner)
            m_CloseButton  =  false;         // Form closing allowed (the button with a cross image is displayed in the top right corner)
         }
         void OnInitEvent(){
            m_cb.Init(m_Name + "_CB",60,"Symbol Name");
            m_cb.AddItem("EURUSD");
            m_cb.AddItem("GBPUSD");            
            m_cb.AddItem("USDCHF");            
            m_cb.AddItem("USDJPY");            
            m_cb.AddItem("USDCAD");
            m_cb.AddItem("AUDUSD");
            m_cb.AddItem("AUDNZD");
            m_cb.AddItem("AUDCAD");
            m_cb.AddItem("AUDCHF");
            m_cb.AddItem("AUDJPY");
            m_cb.AddItem("NZDUSD");
            m_ib1.Init(m_Name + "_IB1",60,-1,"History Bars");
            m_ib2.Init(m_Name + "_IB2",60,-1,"Decider Bars");
            m_ib3.Init(m_Name + "_IB4",60, 0,"Trend Age Bars");
            m_ib4.Init(m_Name + "_IB3",60, 0,"Director Bars");
            m_ib5.Init(m_Name + "_IB5",60, 0,"Print Level");
            m_ib6.Init(m_Name + "_IB6",60, 2,"Volume");
            m_chb1.Init(m_Name+"CB1","               Bollinger");
            m_chb2.Init(m_Name+"CB2","               Polar");
            m_chb3.Init(m_Name+"CB3","               Retardation");
            m_chb4.Init(m_Name+"CB4","               Master Trend");
            m_but1.Init(m_Name + "_But1",30,15,"Run");
            m_but2.Init(m_Name + "_But2",30,15,"Paus");
         }   
         void OnShowEvent(int aLeft,int aTop){
         m_cb.Show (frm.Left()+10,frm.Top()+   20);
         m_ib1.Show(frm.Left()+10,frm.Top()+   40);
         m_ib2.Show(frm.Left()+10,frm.Top()+   60);
         m_ib3.Show(frm.Left()+10,frm.Top()+   80);
         m_ib4.Show(frm.Left()+10,frm.Top()+  100);
         m_ib5.Show(frm.Left()+10,frm.Top()+  120);
         m_ib6.Show(frm.Left()+10,frm.Top()+  140);
         m_chb1.Show(frm.Left()+10,frm.Top()+ 160);
         m_chb2.Show(frm.Left()+10,frm.Top()+ 180);
         m_chb3.Show(frm.Left()+10,frm.Top()+ 200);
         m_chb4.Show(frm.Left()+10,frm.Top()+ 220);
         m_but1.Show(frm.Left()+105,frm.Top()+  240);
         m_but2.Show(frm.Left()+70,frm.Top()+  240);

         }
         void OnHideEvent(){
         m_cb.Hide();
         m_ib1.Hide();
         m_ib2.Hide();
         m_ib3.Hide();
         m_ib4.Hide();
         m_ib5.Hide();
         m_ib6.Hide();
         m_chb1.Hide();
         m_chb2.Hide();
         m_chb3.Hide();
         m_chb4.Hide();
         m_but1.Hide();
         m_but2.Hide();
          }
         void EventsHandler(const int id,const long& lparam,const double& dparam,const string& sparam){
           if(m_cb.Event(id,lparam,dparam,sparam)==1) {SymbolName=m_cb.Value();}
           m_ib1.Event(id,lparam,dparam,sparam);
           m_ib2.Event(id,lparam,dparam,sparam);
           m_ib3.Event(id,lparam,dparam,sparam);
           m_ib4.Event(id,lparam,dparam,sparam);
           m_ib5.Event(id,lparam,dparam,sparam);
           m_ib6.Event(id,lparam,dparam,sparam);
           m_chb1.Event(id,lparam,dparam,sparam);
           m_chb2.Event(id,lparam,dparam,sparam);
           m_chb3.Event(id,lparam,dparam,sparam);
           m_chb4.Event(id,lparam,dparam,sparam);}

//         bool OnApplyEvent(){
            // 11. Checking the control values upon closing by the "Apply" button. In order to reject the closing of the form, false should be returned from this method.
            // 12. Saving the parameters.
//             string val=m_ib1.ValueString();
//             Alert("Apply event: " + val);
//             return(true);
//         }
//         bool OnCancelEvent(){
            // 13. Checks upon closing by the "Cancel" or "Close" buttons. In order to reject the closing of the form, false should be returned from this method.
//            return(false);
       
};

MyCForm frm;

int OnInit(){
   frm.Init();
   frm.Show(10,60);
  return(0);
   }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason){
   frm.Hide();
}